=== debian/changelog ===
openocd (0.11.0~rc2-1) unstable; urgency=medium

  * Upstream release candidate
    * Remove no-longer necessary patch for external libjaylink

 -- Jonathan McDowell <noodles@earth.li>  Wed, 03 Feb 2021 12:42:03 +0000

openocd (0.11.0~rc1-2) unstable; urgency=medium

  * Add build-dep on libgpiod-dev
  * Add build-dep on libcapstone-dev
  * Lintian cleanups:
    * Remove trailing whitespace in Debian files
    * Use HTTPS in watch file
    * Move to debhelper compat level 12
    * Update Standards-Version to 4.5.1 (no further changes)
    * Add upstream metadata information
    * Minimise upstream signing key

 -- Jonathan McDowell <noodles@earth.li>  Sun, 17 Jan 2021 14:34:03 +0000

openocd (0.11.0~rc1-1) unstable; urgency=medium

  * Upstream release candidate

 -- Jonathan McDowell <noodles@earth.li>  Thu, 10 Dec 2020 10:49:42 +0000
