=== debian/changelog ===
openocd (0.11.0-2) unstable; urgency=medium

  * Enable rshim support (Closes: #1014922)
  * Fix operation with libusb-1.0.25 onwards (Closes: #1008870)
  * Fix Tcl scripts for operation with jimtcl 0.81+ (Closes: #1014849)
  * Lintian cleanups:
    * Add missing licence in debian/copyright for Synopsys files.

 -- Jonathan McDowell <noodles@earth.li>  Wed, 20 Jul 2022 13:45:35 +0100

openocd (0.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan McDowell <noodles@earth.li>  Thu, 26 Aug 2021 10:33:35 +0100
