=== debian/control ===
Source: openocd
Section: embedded
Priority: optional
Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper-compat (= 12),
               libcapstone-dev,
               libftdi1-dev,
               libusb-1.0-0-dev, libusb-dev,
               libjaylink-dev (>= 0.1.0+git20200606.2800726-1~exp1),
               texinfo, texlive,
               libgpiod-dev,
               libhidapi-dev,
               libjim-dev (>= 0.81),
               pkg-config
Standards-Version: 4.5.1
Homepage: http://openocd.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/electronics-team/openocd
Vcs-Git: https://salsa.debian.org/electronics-team/openocd.git
Rules-Requires-Root: no

Package: openocd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open on-chip JTAG/SWD debug solution for embedded target devices
 OpenOCD aims to provide debugging, in-system programming and boundary-scan
 testing for embedded target devices.
 .
 The debugger uses an IEEE 1149-1 compliant JTAG TAP bus master to access
 on-chip debug functionality available on ARM based microcontrollers or
 system-on-chip solutions. For MIPS systems the EJTAG interface is supported.
 Additionally there is support for eSi-RISC, Intel, OpenRISC, RISC-V and ARC
 controllers.
 .
 User interaction is realized through a telnet command line interface,
 a gdb (the GNU debugger) remote protocol server, and a simplified RPC
 connection that can be used to interface with OpenOCD's Jim Tcl engine.
 .
 OpenOCD supports many different types of JTAG interfaces/programmers.
