## openocd 0.12.0~rc1

=== debian/changelog ===
openocd (0.12.0~rc1-1) unstable; urgency=medium

  * Upstream release candidate
    * Update remove-jimtcl-configure.patch
    * Remove libusb/jimtcl patches taken from upstream
    * Update debian/copyright

 -- Jonathan McDowell <noodles@earth.li>  Sat, 24 Sep 2022 10:38:23 +0100
