## openocd 0.12.0~rc2

=== debian/changelog ===
openocd (0.12.0~rc2-1) unstable; urgency=medium

  * Upstream release candidate

 -- Jonathan McDowell <noodles@earth.li>  Wed, 26 Oct 2022 21:06:51 +0100
