=== contrib/loaders/watchdog/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 BIN2C = ../../../src/helper/bin2char.sh
 
 ARM_CROSS_COMPILE ?= arm-none-eabi-
