=== debian/changelog ===
openocd (0.12.0-3) unstable; urgency=medium

  * Fix build with jimtcl 0.83 (Closes: #1082908)

 -- Jonathan McDowell <noodles@earth.li>  Thu, 03 Oct 2024 08:57:48 +0100

openocd (0.12.0-2) unstable; urgency=medium

  * Disable libgpiod backend (Closes: #1070885)
  * Update pkg-config -> pkgconf in build-deps

 -- Jonathan McDowell <noodles@earth.li>  Fri, 30 Aug 2024 08:23:51 +0100

openocd (0.12.0-1) unstable; urgency=medium

  * New upstream release
  * Drop libusb-dev build-dep (thanks to Paul Fertser for pointing this
    out)
  * Update to debhelper-compat level 13
  * Switch to plain globs for filenames in debian/copyright
  * Bump Standards-Version to 4.6.2

 -- Jonathan McDowell <noodles@earth.li>  Mon, 16 Jan 2023 18:22:41 +0000

openocd (0.12.0~rc3-1) unstable; urgency=medium

  * Upstream release candidate

 -- Jonathan McDowell <noodles@earth.li>  Thu, 22 Dec 2022 14:19:29 +0000
