=== debian/rules ===
--- 
+++ 
@@ -18,21 +18,22 @@
 	--disable-internal-jimtcl \
 	--disable-internal-libjaylink \
 	\
+	--enable-arm-jtag-ew \
+	--enable-at91rm9200 \
+	--enable-bcm2835gpio \
+	--enable-buspirate \
 	--enable-dummy \
 	--enable-ep93xx \
-	--enable-at91rm9200 \
+	--enable-jlink \
+	--enable-opendous \
+	--enable-osbdm \
+	--enable-remote-bitbang \
+	--enable-rlink \
+	--enable-rshim \
+	--enable-sysfsgpio \
+	--enable-ulink \
 	--enable-usbprog \
 	--enable-vsllink \
-	--enable-rlink \
-	--enable-ulink \
-	--enable-arm-jtag-ew \
-	--enable-buspirate \
-	--enable-osbdm \
-	--enable-opendous \
-	--enable-remote-bitbang \
-	--enable-bcm2835gpio \
-	--enable-sysfsgpio \
-	--enable-jlink \
 
 configure_flags_parport := \
 	--enable-parport \
