=== debian/changelog ===
openocd (0.12.0+rpt20250716.04ae2c329-1) trixie; urgency=medium

  * New upstream version 0.12.0+rpt20250716.04ae2c329
  * Update gbp.conf
  * Update package metadata
  * Remove rejected patches
  * Refresh patches

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 16 Jul 2025 15:06:51 +0100
