=== debian/control ===
--- 
+++ 
@@ -1,22 +1,18 @@
 Source: openocd
 Section: embedded
 Priority: optional
-Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@lists.alioth.debian.org>
-Uploaders: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Serge Schneider <serge@raspberrypi.com>
+Build-Depends: debhelper-compat (= 13),
                libcapstone-dev,
                libftdi1-dev,
-               libusb-1.0-0-dev, libusb-dev,
+               libusb-1.0-0-dev,
                libjaylink-dev (>= 0.1.0+git20200606.2800726-1~exp1),
                texinfo, texlive,
-               libgpiod-dev,
                libhidapi-dev,
                libjim-dev (>= 0.81),
-               pkg-config
-Standards-Version: 4.5.1
-Homepage: http://openocd.sourceforge.net/
-Vcs-Browser: https://salsa.debian.org/electronics-team/openocd
-Vcs-Git: https://salsa.debian.org/electronics-team/openocd.git
+               pkgconf
+Standards-Version: 4.6.2
+Homepage: https://github.com/raspberrypi/openocd
 Rules-Requires-Root: no
 
 Package: openocd
