=== debian/watch ===
version=4

opts="mode=git, gitmode=full, gitmodules, pgpmode=none, pretty=0.12.0+rpt%cd.%h, repack, compression=xz" \
 https://github.com/raspberrypi/openocd.git \
 heads/rpi-common
